﻿using System;
using System.ComponentModel.DataAnnotations;
using System.Web.Mvc;
using System.Globalization;

namespace Uco.Infrastructure
{
    class RestrictParentsAttribute : Attribute
    {
        public string[] Parents { get; set; }
        public RestrictParentsAttribute(string[] parents) { Parents = parents; }
    }

    class RouteUrlAttribute : Attribute
    {
        public string RouteUrl { get; set; }
        public RouteUrlAttribute(string routeurl) { RouteUrl = routeurl; }
    }
}