﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Uco.Models;
using System.Diagnostics;
using System.Net.Mail;
using System.Configuration;
using System.Text;
using System.Reflection;
using System.Globalization;
using System.Web.Configuration;
using Telerik.Web.Mvc.UI;

namespace Uco.Infrastructure
{
    public static partial class SF
    {

        #region Get/Clean Repository

        public static void CleanTextComponentsRepository()
        {
            HttpContext.Current.Cache.Remove("TextComponents");
        }

        public static List<TextComponent> GetTextComponentsRepository()
        {
            if (HttpContext.Current.Cache["TextComponents"] == null)
            {
                HttpContext.Current.Cache["TextComponents"] = SF.LoadTextComponents();
            }
            return (List<TextComponent>)HttpContext.Current.Cache["TextComponents"];
        }

        #endregion

    }
}