﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Globalization;
using System.Web.Mvc;
using System.Web.Security;

namespace Uco.Models
{

    public class LogOnModel
    {
        [Required(ErrorMessageResourceType = typeof(Uco.Content.Resources.SystemModels), ErrorMessageResourceName = "UserNameRequired")]
        [Display(Name = "UserName", ResourceType = typeof(Uco.Content.Resources.SystemModels))]
        public string UserName { get; set; }

        [Required(ErrorMessageResourceType = typeof(Uco.Content.Resources.SystemModels), ErrorMessageResourceName = "PasswordRequired")]
        [DataType(DataType.Password)]
        [Display(Name = "Password", ResourceType = typeof(Uco.Content.Resources.SystemModels))]
        public string Password { get; set; }

        [Display(Name = "RememberMe", ResourceType = typeof(Uco.Content.Resources.SystemModels))]
        public bool RememberMe { get; set; }
    }
}
