﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;
using System.Data.Entity;
using System.Web.Mvc;
using System.ComponentModel;
using Uco.Infrastructure;

namespace Uco.Models
{
    public class Captcha
    {
        [Display(Name = "Captcha", Order = 20, ResourceType = typeof(Uco.Content.Resources.SystemModels))]
        [AreaRemote("ValidateCaptcha", "Captcha", "", ErrorMessageResourceType = typeof(Uco.Content.Resources.SystemModels), ErrorMessageResourceName = "ValidateCaptcha")]
        [Required(ErrorMessageResourceType = typeof(Uco.Content.Resources.SystemModels), ErrorMessageResourceName = "CaptchaRequired")]
        public virtual string CaptchaValue { get; set; }
        public Captcha()
        {

        }
    }

    public class InvisibleCaptcha
    {
        [Display(Name = "InvisibleCaptcha", Order = 20, ResourceType = typeof(Uco.Content.Resources.SystemModels))]
        [AreaRemote("ValidateInvisibleCaptcha", "Captcha", "", ErrorMessageResourceType = typeof(Uco.Content.Resources.SystemModels), ErrorMessageResourceName = "ValidateInvisibleCaptcha")]
        public virtual string InvisibleCaptchaValue { get; set; }
        public InvisibleCaptcha()
        {

        }
    }
}