﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Uco.Models;

namespace Uco.Models
{
    public class UcoMenuItem
    {
        public UcoMenuItem()
        {
        }
        public int ID { get; set; }
        public int ParentID { get; set; }
        public string Title { get; set; }
        
        public int Level { get; set; }

        public string RouteUrl { get; set; }
        public string SeoUrlName { get; set; }

        public DateTime ChangeTime { get; set; }

        public bool Visible { get; set; }
        public bool ShowInMenu { get; set; }
        public bool ShowInSitemap { get; set; }



        public int Order { get; set; }

        public string Url
        {
            get
            {
                return ("~/" + this.RouteUrl + "/" + this.SeoUrlName);
            }
        }
        public string Image
        {
            get
            {
                return "~/Areas/Admin/Content/pages/route_" + this.RouteUrl + ".png";
            }
        }
    }

}